#include "stdafx.h"
#include "BKErrMsgSys.h"


CString g_pstrErrors[] =
{
	_T("Успешно."), //0
	_T("Недостаточно памяти."),
	_T("Не удалось создать объект 'Экран'."),
	_T("Не удалось инициализировать объект 'Экран'."),
	_T("Не удалось инициализировать диалоговое окно 'Дизассемблер'."),
	_T("Не удалось инициализировать диалоговое окно 'Дамп памяти'."),
	_T("Не удалось инициализировать окно 'Осциллограф'."),
	_T("Не удалось создать объект 'Осциллограф'."),
	_T("Не удалось инициализировать диалоговое окно 'Дамп регистров'."),
	_T("Не удалось инициализировать диалоговое окно 'Управление записью на ленту'."),
	_T("Не удалось создать строку меню."), //10
	_T("Не удалось создать стандартную панель инструментов."),
	_T("Не удалось создать звуковую панель инструментов."),
	_T("Не удалось создать панель инструментов отладки."),
	_T("Не удалось создать строку состояния."),
	_T("Не удалось создать закрепляемые окна."),
	_T("Ошибка разбора командной строки."),
	_T("Ошибка создания закрепляемого окна 'Дамп регистров'."),
	_T("Ошибка создания закрепляемого окна 'Отладка'."),
	_T("Ошибка создания закрепляемого окна 'Дамп памяти'."),
	_T("Ошибка создания закрепляемого окна 'Осциллограф'."), //20
	_T("Ошибка создания закрепляемого окна 'Управление записью на ленту'."),
	_T("Ошибка создания закрепляемого окна 'Виртуальная клавиатура'."),
	_T("Ошибка создания текущей конфигурации БК."),

	_T("Ошибка открытия файла."), //24
	_T("Ошибка чтения заголовка MSF файла."),
	_T("Ошибка записи заголовка MSF файла."),
	_T("Структура MSF файла повреждена."),
	_T("Это не MSF файл."),
	_T("Ошибка позиционирования в файле."),

	_T("Не найден блок '%s'."), //30
	_T("Ошибка чтения заголовка блока '%s'."),
	_T("Ошибка записи заголовка блока '%s'."),
	_T("Ошибка чтения данных блока '%s'."),
	_T("Ошибка записи данных блока '%s'."),

	_T("Не удалось создать Dib секцию для 'Preview'."), //35
	_T("Не удалось определить параметры изображения для 'Preview'."),
	_T("Preview"),
	_T("Base memory"),
	_T("Base memory 11"),
	_T("SMK512 memory"), //40
	_T("CPU registers"),
	_T("System registers"),
	_T("Ext.32kb memory"),
	_T("Ext.16kb memory"),
	_T("Tape"),
	_T("Memory map manager"),
	_T("Config"),
	_T("Frame Data"),

	_T("Не найдена DLL библиотека "), //48
	_T("Не удалось получить функцию %s из библиотеки DLL."),
	_T("Не удалось получить класс рендера из библиотеки DLL."), //50
	_T("Не удалось инициализировать рендер из библиотеки DLL '%s'."),
	_T("Не удалось инициализировать цветовую таблицу экрана."),

};


